Patches for aports can be sent to this list

4 3

[alpine-aports] [PATCH] testing/fbida: new aport

Sören Tempel
Details
Message ID
<1441655200-7825-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1441655200
DKIM signature
missing
Download raw message
Patch: +43 -0
---
 testing/fbida/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/fbida/APKBUILD

diff --git a/testing/fbida/APKBUILD b/testing/fbida/APKBUILD
new file mode 100644
index 0000000..1e1249f
--- /dev/null
+++ b/testing/fbida/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
+pkgname=fbida
+pkgver=2.10
+pkgrel=0
+pkgdesc="Few applications to display and elementary edit images"
+url="http://www.kraxel.org/blog/linux/fbida/"
+arch="all"
+license="GPL2"
+depends="ghostscript"
+depends_dev="giflib-dev libexif-dev motif-dev libpng-dev jpeg-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="$pkgname-doc"
+source="https://www.kraxel.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+# TODO in the future it might be a good idea to split the
+# tools (fbi, fbgs, ida, exiftran) into multiple subpackages.
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	make verbose=yes \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" prefix=/usr \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="09460b964b58c2e39b665498eca29018  fbida-2.10.tar.gz"
+sha256sums="7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6  fbida-2.10.tar.gz"
+sha512sums="b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d  fbida-2.10.tar.gz"
-- 
2.5.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH v2] testing/fbida: new aport

Sören Tempel
Details
Message ID
<1441658346-16775-1-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1441655200-7825-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1441658346
DKIM signature
missing
Download raw message
Patch: +67 -0
---
 testing/fbida/APKBUILD | 67 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)
 create mode 100644 testing/fbida/APKBUILD

diff --git a/testing/fbida/APKBUILD b/testing/fbida/APKBUILD
new file mode 100644
index 0000000..b80abce
--- /dev/null
+++ b/testing/fbida/APKBUILD
@@ -0,0 +1,67 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
+pkgname=fbida
+pkgver=2.10
+pkgrel=0
+pkgdesc="Few applications to display and elementary edit images"
+url="http://www.kraxel.org/blog/linux/$pkgname/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="giflib-dev libexif-dev motif-dev libpng-dev jpeg-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="
+	$pkgname-fbgs:_tool
+	$pkgname-fbgs-doc:_tool_doc
+	$pkgname-exiftran:_tool
+	$pkgname-exiftran-doc:_tool_doc
+	$pkgname-fbi:_tool
+	$pkgname-fbi-doc:_tool_doc
+	$pkgname-ida:_tool
+	$pkgname-ida-doc:_tool_doc"
+source="https://www.kraxel.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+# TODO in the future it might be a good idea to split the
+# tools (fbi, fbgs, ida, exiftran) into multiple subpackages.
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make verbose=yes \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" RESDIR="/usr/share/$pkgname" \
+		prefix=/usr -C "$_builddir" install || return 1
+}
+
+_tool() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$pkgname tool $name"
+
+	depends="$pkgname"
+	if [ "${name}" = "fbgs" ]; then
+		depends="$depends $pkgname-fbi ghostscript"
+	fi
+
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/$name \
+		"$subpkgdir"/usr/bin/$name || return 1
+}
+
+_tool_doc() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$pkgname tool $name (documentation)"
+	arch="noarch"
+	install_if="docs $pkgname=$pkgver-r$pkgrel"
+
+	mkdir -p "$subpkgdir"/usr/share/man/man1
+	mv "$pkgdir"/usr/share/man/man1/$name.1 \
+		"$subpkgdir"/usr/share/man/man1/$name.1 || return 1
+	gzip -9 "$subpkgdir"/usr/share/man/man1/$name.1 || return 1
+}
+
+md5sums="09460b964b58c2e39b665498eca29018  fbida-2.10.tar.gz"
+sha256sums="7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6  fbida-2.10.tar.gz"
+sha512sums="b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d  fbida-2.10.tar.gz"
-- 
2.5.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH v3] testing/fbida: new aport

Sören Tempel
Details
Message ID
<1441658551-17451-1-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1441655200-7825-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1441658551
DKIM signature
missing
Download raw message
Patch: +64 -0
---
 testing/fbida/APKBUILD | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)
 create mode 100644 testing/fbida/APKBUILD

diff --git a/testing/fbida/APKBUILD b/testing/fbida/APKBUILD
new file mode 100644
index 0000000..782ef4c
--- /dev/null
+++ b/testing/fbida/APKBUILD
@@ -0,0 +1,64 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
+pkgname=fbida
+pkgver=2.10
+pkgrel=0
+pkgdesc="Few applications to display and elementary edit images"
+url="http://www.kraxel.org/blog/linux/$pkgname/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="giflib-dev libexif-dev motif-dev libpng-dev jpeg-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="
+	$pkgname-fbgs:_tool
+	$pkgname-fbgs-doc:_tool_doc
+	$pkgname-exiftran:_tool
+	$pkgname-exiftran-doc:_tool_doc
+	$pkgname-fbi:_tool
+	$pkgname-fbi-doc:_tool_doc
+	$pkgname-ida:_tool
+	$pkgname-ida-doc:_tool_doc"
+source="https://www.kraxel.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make verbose=yes \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" RESDIR="/usr/share/$pkgname" \
+		prefix=/usr -C "$_builddir" install || return 1
+}
+
+_tool() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$pkgname tool $name"
+
+	depends="$pkgname"
+	if [ "${name}" = "fbgs" ]; then
+		depends="$depends $pkgname-fbi ghostscript"
+	fi
+
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/$name \
+		"$subpkgdir"/usr/bin/$name || return 1
+}
+
+_tool_doc() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$pkgname tool $name (documentation)"
+	arch="noarch"
+	install_if="docs $pkgname=$pkgver-r$pkgrel"
+
+	mkdir -p "$subpkgdir"/usr/share/man/man1
+	mv "$pkgdir"/usr/share/man/man1/$name.1 \
+		"$subpkgdir"/usr/share/man/man1/$name.1 || return 1
+	gzip -9 "$subpkgdir"/usr/share/man/man1/$name.1 || return 1
+}
+
+md5sums="09460b964b58c2e39b665498eca29018  fbida-2.10.tar.gz"
+sha256sums="7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6  fbida-2.10.tar.gz"
+sha512sums="b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d  fbida-2.10.tar.gz"
-- 
2.5.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH v3] testing/fbida: new aport

Isaac Dunham
Details
Message ID
<20150909054851.GB2695@newbook>
In-Reply-To
<1441658551-17451-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1441777732
DKIM signature
missing
Download raw message
On Mon, Sep 07, 2015 at 10:42:31PM +0200, Sören Tempel wrote:
> ---
>  testing/fbida/APKBUILD | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 64 insertions(+)
>  create mode 100644 testing/fbida/APKBUILD
> 
> diff --git a/testing/fbida/APKBUILD b/testing/fbida/APKBUILD
> new file mode 100644
> index 0000000..782ef4c
> --- /dev/null
> +++ b/testing/fbida/APKBUILD
> @@ -0,0 +1,64 @@
> +# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
> +# Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
> +pkgname=fbida
> +pkgver=2.10
> +pkgrel=0
> +pkgdesc="Few applications to display and elementary edit images"
> +url="http://www.kraxel.org/blog/linux/$pkgname/"

Thanks for packaging this; I'd actually been "meaning to" package it,
but never got around to it...

Now, a couple comments on substance:
- the use of _tool and _tool_doc is rather odd, but there's only one point
where I'd actually suggest something different:
for fbida-fbgs, call a new function "fbgs", which will in turn call _tool.

- package naming is somewhat odd, and it's certainly more granular than
usual: the usual split is fbi / ida (+ -doc for each)

- RESDIR should not be set to /usr/share/$pkgname:
no one would think to look for the application defaults there.
The standard location is /etc/X11/app-defaults/<resource name>.

> +arch="all"
> +license="GPL2"
> +depends=""
> +depends_dev="giflib-dev libexif-dev motif-dev libpng-dev jpeg-dev"
> +makedepends="$depends_dev linux-headers"
> +install=""
> +subpackages="
> +	$pkgname-fbgs:_tool
> +	$pkgname-fbgs-doc:_tool_doc
> +	$pkgname-exiftran:_tool
> +	$pkgname-exiftran-doc:_tool_doc
> +	$pkgname-fbi:_tool
> +	$pkgname-fbi-doc:_tool_doc
> +	$pkgname-ida:_tool
> +	$pkgname-ida-doc:_tool_doc"
> +source="https://www.kraxel.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
> +
> +_builddir="$srcdir"/$pkgname-$pkgver
> +build() {
> +	make verbose=yes \
> +		-C "$_builddir" || return 1
> +}
> +
> +package() {
> +	make DESTDIR="$pkgdir" RESDIR="/usr/share/$pkgname" \
> +		prefix=/usr -C "$_builddir" install || return 1
> +}
> +
> +_tool() {
> +	local name=$(echo $subpkgname | cut -d '-' -f2)
> +	pkgdesc="$pkgname tool $name"
> +
> +	depends="$pkgname"
> +	if [ "${name}" = "fbgs" ]; then
> +		depends="$depends $pkgname-fbi ghostscript"
> +	fi
> +
> +	mkdir -p "$subpkgdir"/usr/bin
> +	mv "$pkgdir"/usr/bin/$name \
> +		"$subpkgdir"/usr/bin/$name || return 1
> +}
> +
> +_tool_doc() {
> +	local name=$(echo $subpkgname | cut -d '-' -f2)
> +	pkgdesc="$pkgname tool $name (documentation)"
> +	arch="noarch"
> +	install_if="docs $pkgname=$pkgver-r$pkgrel"
> +
> +	mkdir -p "$subpkgdir"/usr/share/man/man1
> +	mv "$pkgdir"/usr/share/man/man1/$name.1 \
> +		"$subpkgdir"/usr/share/man/man1/$name.1 || return 1
> +	gzip -9 "$subpkgdir"/usr/share/man/man1/$name.1 || return 1
> +}
> +
> +md5sums="09460b964b58c2e39b665498eca29018  fbida-2.10.tar.gz"
> +sha256sums="7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6  fbida-2.10.tar.gz"
> +sha512sums="b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d  fbida-2.10.tar.gz"
> -- 
> 2.5.1
> 
> 
> 
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
> 


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH v3] testing/fbida: new aport

Sören Tempel
Details
Message ID
<20150909193233.GA2141@francium.lan>
In-Reply-To
<20150909054851.GB2695@newbook> (view parent)
Sender timestamp
1441827153
DKIM signature
missing
Download raw message
On 08.09.15, Isaac Dunham wrote:
> Now, a couple comments on substance:
> - the use of _tool and _tool_doc is rather odd, but there's only one point
> where I'd actually suggest something different:
> for fbida-fbgs, call a new function "fbgs", which will in turn call _tool.

I think the _tool and _tool_doc functions are a nice way to prevent
duplication. Creating a new "fbgs" function which invokes _tool sounds
like a good idea to me, but both approaches work and don't make a big
difference to me.

On 08.09.15, Isaac Dunham wrote:
> - package naming is somewhat odd, and it's certainly more granular than
> usual: the usual split is fbi / ida (+ -doc for each)

The fbida website <https://www.kraxel.org/blog/linux/fbida/>
differentiates between 5 Tools. Therefore it seemed very intuitive to me
to also create a subpackage for each of those tools, even though I
didn't package thumbnail.cgi yet.

Since it's pretty easy to split the package with the _tool
function I don't see any reason not to do it. It might be unusual but I
think it's the best way to split it.

On 08.09.15, Isaac Dunham wrote:
> - RESDIR should not be set to /usr/share/$pkgname:
> no one would think to look for the application defaults there.
> The standard location is /etc/X11/app-defaults/<resource name>.

You are right, I will fix that tomorrow. Furthermore that file should
probably be moved to the ida subpackage.

Sören.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---